mod cloudflare;
mod config;
mod logging;
mod public_ip;
mod message_handler;
pub mod utils;

pub use cloudflare::CloudflareClient;
pub use config::{get_config_path, read_config, Config};
pub use logging::init_logger;
pub use public_ip::get_current_public_ipv4;
pub use message_handler::MessageHandler;

pub const PROGRAM_NAME: &'static str = "dynip-cloudflare";
pub const MAX_ERORS_IN_ROW_DEFAULT: usize = 10;
const LOG_DIR: &str = "logs";
